;############################################################################################
;# entries_wga.ini
;# ---------------------
;# This file contains a list of all entries that need to be added to various Windows
;# setup files upon integration of the RyanVM WGA Addon.
;############################################################################################

;This section contains version info
[general]
builddate=2008/09/02
description=Addon For The RyanVM Update Pack
forcelang=English
language=English
ServicePack=SP2
title=RyanVM Update Pack WGA Addon
version=1.8.31.0
website=http://www.ryanvm.net/msfn/
Windows=XP

;This section contains the variables used for the Update Pack filenames
[filenames]
wgainf=R_WGA.inf

;This section contains entries that need to go into the [Components] section of sysoc.inf
[sysoc]
RVMWGAAddon=ocgen.dll,OcEntry,%wgainf%,HIDE,7

;This section contains entries that need to go into the [Files] section of dosnet.inf
[dosnet_files]
d1,%wgainf%
d1,lgtckctl.dll
d1,wgalogon.dll
d1,wgatray.exe

;This section contains entries that need to go into the [SourceDisksFiles] section of txtsetup.sif
[txtsetup_files]
%wgainf%    = 100,,,,,,,20,0,0
lgtckctl.dll = 100,,,,,,,2,0,0,LegitCheckControl.dll
wgalogon.dll = 100,,,,,,,2,0,0,WgaLogon.dll
wgatray.exe  = 100,,,,,,,2,0,0,WgaTray.exe

;This section contains a list of files in i386 which should be compressed at the very
;beginning of the integration process
[i386_compress]
rvmtemp\extracted\lgtckctl.dll
rvmtemp\extracted\R_WGA.inf
rvmtemp\extracted\wgalogon.dll
rvmtemp\extracted\wgatray.exe